#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Library for handling mail messages and newsgroup articles
Name:           kmime
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  ki18n-devel >= 5.12.0
BuildRequires:  kcodecs-devel >= 5.12.0

BuildRequires:  boost-devel

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
Library for handling mail messages and newsgroup articles
#--------------------------------------------------------------------

%define kf5mime_major 5
%define libkf5mime %mklibname kf5mime %{kf5mime_major}

%package -n %libkf5mime
Summary:      Library for handling mail messages and newsgroup articles
Group:        System/Libraries
# mga6: .so.5 library was mistakenly packed in the '4' package, hence the conflict
Obsoletes:    %{_lib}kf5mime4 < 15.12.3-2

%description -n %libkf5mime
Library for handling mail messages and newsgroup articles

%files -n %libkf5mime
%_libdir/libKF5Mime.so.%{kf5mime_major}.*
%_libdir/libKF5Mime.so.%{kf5mime_major}

#--------------------------------------------------------------------

%define kf5mime_devel %mklibname kf5mime -d

%package -n %kf5mime_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5mime = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5mime_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mime_devel
%_kf5_includedir/KMime
%_kf5_includedir/kmime_version.h
%_libdir/libKF5Mime.so
%_libdir/cmake/KF5Mime
%_qt5_prefix/mkspecs/modules/qt_KMime.pri

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090091
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076831
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072032
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067351
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061410
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050676
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047320
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040077
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012567
- New version 16.04.1

* Sat Apr 23 2016 akien <akien> 16.04.0-3.mga6
+ Revision: 1005555
- Make the previous Conflicts an Obsoletes, better suited

* Sat Apr 23 2016 akien <akien> 16.04.0-2.mga6
+ Revision: 1005389
- Add conflicts against %%{_lib}kf5mime4 which contained libKF5Mime.so.5

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004356
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995830
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991199
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987468
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922637
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911950
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905408
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901144
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890625
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880437
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865955
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863796
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861768
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-3.mga6
+ Revision: 858446
- Fix lib name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858392
- Fix Requires

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858386
- imported package kmime

